package net.yyc12345.teyvatcraft.items;

import net.minecraft.util.registry.Registry;
import net.fabricmc.fabric.api.item.v1.FabricItemSettings;
import net.minecraft.util.Identifier;
import net.minecraft.item.ItemGroup;
import net.fabricmc.fabric.api.client.itemgroup.FabricItemGroupBuilder;
import net.minecraft.item.ItemStack;
import net.minecraft.block.Blocks;
import net.minecraft.util.Rarity;
import net.yyc12345.teyvatcraft.items.gnosis.*;

public class ItemsManager {
    public static final ItemGroup ITEM_GROUP = FabricItemGroupBuilder.build(
                                                new Identifier("teyvatcraft", "general"),
                                                () -> new ItemStack(Blocks.COBBLESTONE));
    
    // ==================== gnosis
	public static final GnosisDendro GNOSIS_DENDRO = new GnosisDendro(
        new FabricItemSettings()
        .group(ITEM_GROUP)
        .maxCount(1)
        .rarity(Rarity.EPIC)
    );
    public static final GnosisHydro GNOSIS_HYDRO = new GnosisHydro(
        new FabricItemSettings()
        .group(ITEM_GROUP)
        .maxCount(1)
        .rarity(Rarity.EPIC)
    );
    public static final GnosisPyro GNOSIS_PYRO = new GnosisPyro(
        new FabricItemSettings()
        .group(ITEM_GROUP)
        .maxCount(1)
        .rarity(Rarity.EPIC)
    );
    public static final GnosisGeo GNOSIS_GEO = new GnosisGeo(
        new FabricItemSettings()
        .group(ITEM_GROUP)
        .maxCount(1)
        .rarity(Rarity.EPIC)
    );
    public static final GnosisElectro GNOSIS_ELECTRO = new GnosisElectro(
        new FabricItemSettings()
        .group(ITEM_GROUP)
        .maxCount(1)
        .rarity(Rarity.EPIC)
    );
    public static final GnosisAnemo GNOSIS_ANEMO = new GnosisAnemo(
        new FabricItemSettings()
        .group(ITEM_GROUP)
        .maxCount(1)
        .rarity(Rarity.EPIC)
    );
    public static final GnosisCryo GNOSIS_CRYO = new GnosisCryo(
        new FabricItemSettings()
        .group(ITEM_GROUP)
        .maxCount(1)
        .rarity(Rarity.EPIC)
    );

    public static void RegisterAll() {
        Registry.register(Registry.ITEM, new Identifier("teyvatcraft", "gnosis_dendro"), GNOSIS_DENDRO);
        Registry.register(Registry.ITEM, new Identifier("teyvatcraft", "gnosis_hydro"), GNOSIS_HYDRO);
        Registry.register(Registry.ITEM, new Identifier("teyvatcraft", "gnosis_pyro"), GNOSIS_PYRO);
        Registry.register(Registry.ITEM, new Identifier("teyvatcraft", "gnosis_geo"), GNOSIS_GEO);
        Registry.register(Registry.ITEM, new Identifier("teyvatcraft", "gnosis_electro"), GNOSIS_ELECTRO);
        Registry.register(Registry.ITEM, new Identifier("teyvatcraft", "gnosis_anemo"), GNOSIS_ANEMO);
        Registry.register(Registry.ITEM, new Identifier("teyvatcraft", "gnosis_cryo"), GNOSIS_CRYO);
    }
}
